- Main Page
- Classes
- Files

- File List
- File Members

# mysql++.h File Reference

The main MySQL++ header file. More...

`#include "connection.h"`
`#include "cpool.h"`
`#include "query.h"`
`#include "sql_types.h"`
`#include "transaction.h"`

Include dependency graph for mysql++.h:

Go to the source code of this file.

## Namespaces
namespace | mysqlpp
## Defines
#define | MYSQLPP_VERSION(major, minor, bugfix) (((major) << 16) | ((minor) << 8) | (bugfix))
| Encode MySQL++ library version number.
#define | MYSQLPP_HEADER_VERSION MYSQLPP_VERSION(3, 0, 1)
| Get the library version number that mysql++.h comes from.
## Functions
unsigned int | mysqlpp::get_library_version ()
| Get the current MySQL++ library version number.

## Detailed Description

The main MySQL++ header file.

This file brings in all MySQL++ headers except for custom.h and custom-macros.h which are a strictly optional feature of MySQL++.

There is no point in trying to optimize which headers you include, because the MySQL++ headers are so intertwined. You can only get trivial compile time benefits, at the expense of clarity.

## Define Documentation

#define MYSQLPP_HEADER_VERSION MYSQLPP_VERSION(3, 0, 1)

Get the library version number that mysql++.h comes from.

MySQL++ Version number that the mysql++.h header file comes from, encoded by MYSQLPP_VERSION macro. Compare this value to what mysqlpp_lib_version() returns in order to ensure that your program is using header files from the same version of MySQL++ as the actual library you're linking to.

#define MYSQLPP_VERSION | ( | major,
|  | minor,
|  | bugfix |  | ) | (((major) << 16) | ((minor) << 8) | (bugfix))

Encode MySQL++ library version number.

This macro takes major, minor and bugfix numbers (e.g. 1, 2, and 3) and encodes them like 0x010203.